Update Company
Updates the company record associated with the caller’s team. Caller must have permission to manage team organization.
curl --request POST \
--url https://api.lofty.com/v1.0/org/company \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"name": "Lofty Realty Group",
"phone": "4155551234",
"phoneCode": "1",
"phoneCountry": "US",
"email": "ops@lofty.com",
"city": "San Francisco",
"state": "CA",
"zipcode": "94103",
"streetAddress": "123 Market St, Suite 200",
"header": "https://cdn.chime.me/image/fs/team/header.png"
}
'import requests
url = "https://api.lofty.com/v1.0/org/company"
payload = {
"name": "Lofty Realty Group",
"phone": "4155551234",
"phoneCode": "1",
"phoneCountry": "US",
"email": "ops@lofty.com",
"city": "San Francisco",
"state": "CA",
"zipcode": "94103",
"streetAddress": "123 Market St, Suite 200",
"header": "https://cdn.chime.me/image/fs/team/header.png"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
name: 'Lofty Realty Group',
phone: '4155551234',
phoneCode: '1',
phoneCountry: 'US',
email: 'ops@lofty.com',
city: 'San Francisco',
state: 'CA',
zipcode: '94103',
streetAddress: '123 Market St, Suite 200',
header: 'https://cdn.chime.me/image/fs/team/header.png'
})
};
fetch('https://api.lofty.com/v1.0/org/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"message": "success",
"data": {}
}"<string>""<string>""<string>"Body
Company payload.
Company name.
"Lofty Realty Group"
Primary phone number, digits only.
"4155551234"
Phone country calling code without the leading +.
"1"
ISO 3166-1 alpha-2 country code for the phone.
"US"
Primary contact email.
"ops@lofty.com"
City.
"San Francisco"
State or province.
"CA"
Postal / ZIP code.
"94103"
Street address line.
"123 Market St, Suite 200"
Header / display banner image URL.
"https://cdn.chime.me/image/fs/team/header.png"
Response
Envelope with business code and message.
Response envelope for POST /v1.0/org/company, PUT /v1.0/org/office and POST /v1.0/org/office. Carries a business code and message; data may be absent on pure acknowledgement responses.
